package com.hai.openApi.model;

import java.math.BigDecimal;

public class ApiMobileProductModel {


    /**
     * 主键
     */
    private Long productId;

    /**
     * 运营商 1 电信 2.移动 3.联通
     */
    private Integer operatorType;
    /**
     * 折扣比例
     */
    private BigDecimal discount;

    /**
     * 充值金额
     */
    private BigDecimal rechargePrice;

    /**
     * 成本价格
     */
    private BigDecimal costPrice;

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    public Integer getOperatorType() {
        return operatorType;
    }

    public void setOperatorType(Integer operatorType) {
        this.operatorType = operatorType;
    }

    public BigDecimal getDiscount() {
        return discount;
    }

    public void setDiscount(BigDecimal discount) {
        this.discount = discount;
    }

    public BigDecimal getRechargePrice() {
        return rechargePrice;
    }

    public void setRechargePrice(BigDecimal rechargePrice) {
        this.rechargePrice = rechargePrice;
    }

    public BigDecimal getCostPrice() {
        return costPrice;
    }

    public void setCostPrice(BigDecimal costPrice) {
        this.costPrice = costPrice;
    }
}
